'use client';

// src/components/Toast/helper.ts
import React from "react";
var isValidReactNode = (value) => {
  return typeof value === "string" || React.isValidElement(value);
};
var getDocumentDirection = () => {
  if (typeof window === "undefined") return "ltr";
  const dirAttribute = document.documentElement.getAttribute("dir");
  if (dirAttribute === "auto" || !dirAttribute) {
    return window.getComputedStyle(document.documentElement).direction;
  }
  return dirAttribute;
};
export {
  getDocumentDirection,
  isValidReactNode
};
